# eric7.QScintilla.Lexers.LexerProperties

Module implementing a Properties lexer with some additional methods.

### Global Attributes

None

### Classes

LexerProperties | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerProperties

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerProperties

### Class Attributes

None

### Class Methods

None

### Methods

LexerProperties | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerProperties (Constructor)

LexerProperties(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerProperties.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Return:
  string giving the keywords (string) or None

#### LexerProperties.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerProperties.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Return:
  flag indicating a comment style (boolean)

#### LexerProperties.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Return:
  flag indicating a string style (boolean)

Up